Schedule an appointment for a shipment
post
/custom-actions/scheduleAppointment/shipments/
Request
There are no request parameters for this operation.
Supported Media Types
- application/json
Root Schema : schema
Type:
Show Source
object-
appointmentEndTime: string
Appointment End Time at the stop in yyyy-MM-dd HH:mm:ss format.
-
appointmentStartTime: string
Appointment Start Time at the stop in yyyy-MM-dd HH:mm:ss format.
-
locationGid: string
Location ID - Shipment appointment location must be specified using either a Stop Number OR a Stop Location ID.
-
locationResourceGroupGid: string
Location Resource Group ID. For example when multiple doors are associated with a location resource group, and a user wants to find the best door. To use this parameter, Appointment Start Time and Appointment End Time must be specified. The resourceGidFromPrimaryResourceType parameter must not be set when using the locationResourceGroupGid parameter.
-
resourceGidFromPrimaryResourceType: string
Location Resource ID for the primary resource type. For example, the door at which a user wants to book an appointment. Appointment Start Time and Appointment End Time must be specified when using this parameter.
-
resourceGidsFromSecondaryResourceTypes: array
resourceGidsFromSecondaryResourceTypes
List of Location Resource IDs for the secondary resource type. Appointment Start Time and Appointment End Time must be specified when using this parameter. The resourceGidFromPrimaryResourceType parameter must also be set when specifying secondary resources.
-
shipmentGid: string
Shipment ID - Shipment must be identified using one of Shipment ID OR Shipment Reference Number.
-
shipmentRefnumQualGid: string
Shipment Reference Number Qualified ID - In the absence of a Shipment ID, a shipment can be identified using a combination of a Shipment Reference Qualifier ID AND Shipment Reference Number.
-
shipmentRefnumValue: string
Shipment Reference Number - In the absence of a Shipment ID, a shipment can be identified using a combination of a Shipment Reference Qualifier ID AND Shipment Reference Number.
-
stopNumber: integer
Stop Number - Shipment appointment location must be specified using one of Stop Number OR Stop Location ID.
Nested Schema : resourceGidsFromSecondaryResourceTypes
Type:
arrayList of Location Resource IDs for the secondary resource type. Appointment Start Time and Appointment End Time must be specified when using this parameter. The resourceGidFromPrimaryResourceType parameter must also be set when specifying secondary resources.
Show Source
Response
Supported Media Types
- application/json
200 Response
Success! A successful POST method returns a 200 status code.
Root Schema : scheduleAppointmentResponse
Type:
objectResponse when scheduling an appointment for a shipment.
Show Source
-
appointments: array
appointments
List of appointments scheduled.
-
responseStatus: object
responseStatus
Nested Schema : appointments
Type:
arrayList of appointments scheduled.
Show Source
-
Array of:
object scheduleAppointment
Appointment details.
Nested Schema : responseStatus
Type:
Show Source
object-
isSuccess: boolean
Specifies if scheduling an appointment for a shipment was successful.
-
statusMessage: string
Error message if scheduling an appointment for a shipment was unsuccessful.
Nested Schema : scheduleAppointment
Type:
objectAppointment details.
Show Source
-
appointmentDuration: integer
Appointment Duration in seconds.
-
appointmentEndTime: string
Appointment End Time at the stop in yyyy-MM-dd HH:mm:ss format.
-
appointmentGid: string
Appointment ID.
-
appointmentStartTime: string
Appointment Start Time at the stop in yyyy-MM-dd HH:mm:ss format.
-
confirmationNumber: string
Confirmation Number.
-
deliveryAppointment: string
Delivery Appointment time in yyyy-MM-dd HH:mm:ss format.
-
locationResourceGid: string
Location Resource ID
-
locationResourceName: string
Location Resource Name
-
pickupAppointment: string
Pickup Appointment time in yyyy-MM-dd HH:mm:ss format.
-
resourceTypeGid: string
Resource Type ID.
-
stopNumber: integer
Stop number where appointment was scheduled.
400 Response
Your request couldn't be processed because it contains missing or invalid information, such as a validation error on an input field, a missing required value, and so forth.
Root Schema : errorResponse
Type:
Show Source
object-
detail(required): string
Provides more information about the error.
-
status(required): number
HTTP status code.
-
title(required): string
Provides a short summary message.
401 Response
Unauthorized, the request was not successful because it lacks valid authentication credentials for the requested resource.
Root Schema : errorResponse
Type:
Show Source
object-
detail(required): string
Provides more information about the error.
-
status(required): number
HTTP status code.
-
title(required): string
Provides a short summary message.
403 Response
Access to the specified resource has been forbidden.
Root Schema : errorResponse
Type:
Show Source
object-
detail(required): string
Provides more information about the error.
-
status(required): number
HTTP status code.
-
title(required): string
Provides a short summary message.
500 Response
The server encountered something unexpected that prevented it from completing the request.
Root Schema : errorResponse
Type:
Show Source
object-
detail(required): string
Provides more information about the error.
-
status(required): number
HTTP status code.
-
title(required): string
Provides a short summary message.